Subject: Re: [RFC] [PATCH 0/5 V2] Huge page backed user-space stacks

From: Dave Hansen <[email-masked]>
Date: Mon, 28 Jul 2008 13:33:24 -0700

On Mon, 2008-07-28 at 12:17 -0700, Eric Munson wrote:
> 
> This patch stack introduces a personality flag that indicates the
> kernel
> should setup the stack as a hugetlbfs-backed region. A userspace
> utility
> may set this flag then exec a process whose stack is to be backed by
> hugetlb pages.

I didn't see it mentioned here, but these stacks are fixed-size, right?
They can't actually grow and are fixed in size at exec() time, right?

-- Dave